<?php

if ( !defined( 'ABSPATH' ) ) {

    exit;
}

if ( !class_exists( 'Pricely_DateTime_Util' ) ) {

    class Pricely_DateTime_Util {

        private static $instance;

        public static function get_instance(): self {

            if ( !self::$instance ) {

                self::$instance = new self();
            }

            return self::$instance;
        }

        public function get_current_date( $include_time = true ) {

            if ( $include_time == true ) {

                return gmdate( "Y-m-d H:i:s", current_time( 'timestamp' ) );
            }

            return gmdate( "Y-m-d", current_time( 'timestamp' ) );
        }

    }

}